Bug 485722 - gnome-panel interacts badly with vertical dual-head
gnome-panel interacts badly with vertical dual-head
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-16 10:45 EST by Dave Mitchell
Modified: 2009-12-18 02:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 494724 (view as bug list)
Environment:
Last Closed: 2009-12-18 02:55:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Mitchell 2009-02-16 10:45:13 EST
Description of problem:

I have a dual-head system (laptop screen plus external LCD panel stacked vertically above it) and two panels. Initially these were at the top and bottom of the laptop screen. When I added the external LCD and tried to reposition the panels to take account of the new configuration, I found:

1) A panel could no longer be positioned at the bottom of the laptop screen. Dragging it to the bottom causes it to repeatedly flicker at the bottom position, then when
the mouse is released, it jumps back to its former position. Similarly,
positioning it at the top of the laptop screen then using its menu to change orientation from 'top' to 'bottom': after a second the selection changes back to 'top' of its own accord.

2) The panel at the top of the laptop screen (the one at slightly under half the height of the full virtual screen) doesn't provide a 'barrier' to the
positioning of newly opened windows. ie in the former single-screen
arrangement, the top of newly-opened windows would always be just below
the top panel, so they don't overlap with the panel. In the dual-head setup, windows which
open in the bottom screen have their top at the top of the screen,
*under* the panel. This means you can't do anything with the window until
you've ctl-dragged it down a bit, which is intensely annoying (!).

3) This bit is vague and not reproducible, so this is more of a throwaway comment, but
generally while playing with panels while trying to get all this set up, they seemed to exhibit bizarre behaviour. Sometimes two panels would lie on top of each other; sometimes they would stack one directly below the other. And other such stuff which I can't recall now, but I came away with a general feeling of brokenness.


Version-Release number of selected component (if applicable):

gnome-panel-2.24.3-1.fc10.i386

How reproducible:

see above

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

I've read on t'internet
(http://www.thinkwiki.org/wiki/Xorg_RandR_1.2#Note_for_Gnome_users)
that my laptop's setup (with an intel 945GM) is a bit
usual in that the external screen becomes the 'primary' screen and that
adversely affects things like panel layout. I don't know the validity of
that claim.

Anyway, here's the xrandr output:

Screen 0: minimum 320 x 200, current 1440 x 1800, maximum 1440 x 1800
VGA connected 1440x900+0+0 (normal left inverted right x axis y axis) 408mm x 255mm
   1440x900       59.9*+   75.0     59.9* 
   1400x1050      60.0  
   1280x1024      75.0     60.0  
   1280x960       60.0  
   1152x864       75.0  
   1024x768       75.0     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        75.0     72.8     75.0     66.7     59.9  
   720x400        70.1  
LVDS connected 1440x900+0+900 (normal left inverted right x axis y axis) 300mm x 190mm
   1440x900       60.0*+
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  
TV disconnected (normal left inverted right x axis y axis)
Comment 1 Hezekiah M. Carty 2009-04-07 17:29:31 EDT
For what it's worth, issues (2) and (3) above affect me as well on F11/rawhide.  I do not have problem (1).

(3) is completely reproducible for me, generally through several xrandr changes.  For example:

1. Connect and enable an external display (ex. to the right of the main display)
2. Disabling the external display
3. Enabling the external display with a new orientation (ex. above the main display)
Comment 2 Bug Zapper 2009-11-18 06:07:04 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:55:59 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.